NX9+VS2012 #include <uf.h> #include <uf_obj.h> #include <uf_modl.h> #include <uf_part.h> UF_initialize(); //遍历当前显示部件所有体 std::vector<tag_t> SolidVector; tag_t ObjectTag = NULL_TAG; int Type, SubType, Body_Type; ; ]; UF_OBJ_cyc…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_ui.h> UF_initialize(); //创建点1 ] = {125.5, 263.2, 135.2}; tag_t Point1Tag = NULL_TAG; UF_CURVE_create_point(PointCoords1, &Point1Tag); //创建点2 ] = {65.5, 95.6, 78.6}; tag_t P…
NX11+VS2013 #include <uf.h> #include <uf_modl.h> #include <uf_disp.h> UF_initialize(); //创建块 UF_FEATURE_SIGN Sign = UF_NULLSIGN;//设置布尔 ] = { 0.0, 0.0, 0.0 };//设置原点 ] = { " };//设置长宽高 tag_t BlkTag = NULL_TAG; UF_MODL_create_block1(Sig…
NX9+VS2012 #include <uf.h> #include <uf_obj.h> #include <uf_modl.h> #include <uf_part.h> UF_initialize(); //遍历当前显示部件 std::vector<tag_t> SolidVector; tag_t ObjectTag = NULL_TAG; int Type, SubType, Body_Type; ]; UF_OBJ_cycle_ob…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_obj.h> UF_initialize(); UF_FEATURE_SIGN Sign = UF_NULLSIGN;//设置布尔 ] = {0.0, 0.0, 0.0};//设置原点 ] = {"};//设置长宽高 tag_t BlkTag = NULL_TAG; UF_MODL_create_block1(Sign, Corner_pt…
NX9+VS2012 #include <uf.h> #include <uf_ui.h> #include <uf_vec.h> #include <uf_curve.h> UF_initialize(); //创建直线1 UF_CURVE_line_t LineCoords1; LineCoords1.start_point[] = 0.0; LineCoords1.start_point[] = 0.0; LineCoords1.start_point…
/**************************************************************************** Copyright (c) 2010 Siemens Product Lifecycle Management Software, Inc. Unpublished - All rights reserved File Description: Define names of all NX object types and subtypes.…
#include <uf.h> #include <uf_modl.h> #include <uf_obj.h> UF_initialize(); //创建块 UF_FEATURE_SIGN sign = UF_NULLSIGN; ] = { 0.0, 0.0, 0.0 }; ] = { " }; tag_t block_tag = NULL_TAG; UF_MODL_create_block1(sign, block_pt, block_edge, &…
NX11+VS2013 #include <uf.h> #include <uf_modl.h> #include <uf_part.h> #include <uf_obj.h> UF_initialize(); //遍历当前part所有body lw->Open(); ; tag_t BodyTag = NULL_TAG; UF_OBJ_cycle_objs_in_part(UF_PART_ask_display_part(), UF_solid_t…
NX9+VS2012 //获得视图的最大边界 ]; UF_DRAW_ask_view_borders(view_tag[j], view_borders); //获得视图原点 ]; ViewOrigin[] = (view_borders[] - view_borders[]) / + view_borders[]; ViewOrigin[] = (view_borders[] - view_borders[]) / + view_borders[]; Caesar卢尚宇 2019年10月15日…